Recent

Author Topic: [Solved]QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)  (Read 799 times)

zoltanleo

  • Sr. Member
  • ****
  • Posts: 484
Hi folks.

I try compile  fpc trunk(revision/hash: eac6add9f7)  lazarus trunk (revision/hash: 8035014eaf) on Kubuntu via fpcupdeluxe. I get error:
Code: Pascal  [Select][+][-]
  1. home/leyba/laz_dev/lazarus/ide/lazarus.pp(169,1) Error: (9013) Error while linking
  2. /home/leyba/laz_dev/lazarus/ide/lazarus.pp(169,1) Fatal: (10026) There were 1 errors compiling module, stopping
  3. Fatal: (1018) Compilation aborted
  4. make[2]: *** [Makefile:4779: ide] Error 2
  5. make[1]: *** [Makefile:3106: ide] Error 2
  6. Error: /home/leyba/laz_dev/fpc/bin/x86_64-linux/ppcx64 returned an error exitcode
  7. Error: (lazarus) Build IDE: stopped with exit code 2
  8. Error: (lazarus) Building IDE: Building IDE failed.
  9. make: *** [Makefile:3113: useride] Error 2
  10. fpcupdeluxe: ERROR: Lazarus Native Installer (BuildModuleCustom: UserIDE): make returned exit status #512.

What's the matter, please tell me?
« Last Edit: October 02, 2023, 10:29:18 pm by zoltanleo »
Win10 LTSC x64/Deb 11 amd64(gtk2/qt5)/Darwin Cocoa (Monterey):
Lazarus x32/x64 2.3(trunk); FPC 3.3.1 (trunk), FireBird 3.0.10; IBX by TonyW

Sorry for my bad English, I'm using translator ;)

zeljko

  • Hero Member
  • *****
  • Posts: 1585
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #1 on: October 02, 2023, 11:42:25 am »
You are missing libQt5Pas, and the distro one is old, you must build your own or wait lazarus 3.0

AlexTP

  • Hero Member
  • *****
  • Posts: 2357
    • UVviewsoft
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #2 on: October 02, 2023, 12:06:50 pm »
This GitHub repro has newer libQt5Pas
https://github.com/davidbannon/libqt5pas

ecrypt

  • New Member
  • *
  • Posts: 16
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #3 on: October 02, 2023, 06:20:45 pm »
Hi folks.

I try compile  fpc trunk(revision/hash: eac6add9f7)  lazarus trunk (revision/hash: 8035014eaf) on Kubuntu via fpcupdeluxe. I get error:
Code: Pascal  [Select][+][-]
  1. home/leyba/laz_dev/lazarus/ide/lazarus.pp(169,1) Error: (9013) Error while linking
  2. /home/leyba/laz_dev/lazarus/ide/lazarus.pp(169,1) Fatal: (10026) There were 1 errors compiling module, stopping
  3. Fatal: (1018) Compilation aborted
  4. make[2]: *** [Makefile:4779: ide] Error 2
  5. make[1]: *** [Makefile:3106: ide] Error 2
  6. Error: /home/leyba/laz_dev/fpc/bin/x86_64-linux/ppcx64 returned an error exitcode
  7. Error: (lazarus) Build IDE: stopped with exit code 2
  8. Error: (lazarus) Building IDE: Building IDE failed.
  9. make: *** [Makefile:3113: useride] Error 2
  10. fpcupdeluxe: ERROR: Lazarus Native Installer (BuildModuleCustom: UserIDE): make returned exit status #512.

What's the matter, please tell me?


My too, error compile QT5 via download gitlab fixes_3.0.zip, OS Kubuntu,
but, via download gitlab fixes_2,.2.7.zip success install with QT5

-Lazarus 2.2.7 64bit (Kubuntu-.22.04 amd64)
-ZeosDBO-7.xx
-PostgreSQL-14.3, SQLite-3

zeljko

  • Hero Member
  • *****
  • Posts: 1585
    • http://wiki.lazarus.freepascal.org/User:Zeljan
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #4 on: October 02, 2023, 06:43:26 pm »
But what is exact linker error ? Only "linking error" means nothing.

ecrypt

  • New Member
  • *
  • Posts: 16
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #5 on: October 02, 2023, 06:52:02 pm »
« Last Edit: October 02, 2023, 06:55:56 pm by ecrypt »
-Lazarus 2.2.7 64bit (Kubuntu-.22.04 amd64)
-ZeosDBO-7.xx
-PostgreSQL-14.3, SQLite-3

zoltanleo

  • Sr. Member
  • ****
  • Posts: 484
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #6 on: October 02, 2023, 10:28:56 pm »
You are missing libQt5Pas, and the distro one is old, you must build your own or wait lazarus 3.0
You didn't guess :)

I have independently generated and installed the "new" libqt5pas. Then I tried to use files from Davo. The result was always negative.
Then I guessed to put the qt 5 pas files next to the fpcupdeluxe executable. The assembly was successful.

Thanks for attention.
Win10 LTSC x64/Deb 11 amd64(gtk2/qt5)/Darwin Cocoa (Monterey):
Lazarus x32/x64 2.3(trunk); FPC 3.3.1 (trunk), FireBird 3.0.10; IBX by TonyW

Sorry for my bad English, I'm using translator ;)

zoltanleo

  • Sr. Member
  • ****
  • Posts: 484
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #7 on: October 02, 2023, 10:34:54 pm »
My too, error compile QT5 via download gitlab fixes_3.0.zip, OS Kubuntu,
but, via download gitlab fixes_2,.2.7.zip success install with QT5
Hi ecrypt.

You can also try to build and install libraries yourself in this way
https://github.com/zoltanleo/fpc_lazarus_notes/blob/main/README_ENG.md#installing_qt_lazarus
Win10 LTSC x64/Deb 11 amd64(gtk2/qt5)/Darwin Cocoa (Monterey):
Lazarus x32/x64 2.3(trunk); FPC 3.3.1 (trunk), FireBird 3.0.10; IBX by TonyW

Sorry for my bad English, I'm using translator ;)

dbannon

  • Hero Member
  • *****
  • Posts: 2750
    • tomboy-ng, a rewrite of the classic Tomboy
Re: QT5: can't compile lazarus trunk (revision/hash: 8035014eaf)
« Reply #8 on: October 03, 2023, 05:21:10 am »
[......
My too, error compile QT5 via download gitlab fixes_3.0.zip, OS Kubuntu,
but, via download gitlab fixes_2,.2.7.zip success install with QT5

Thats because fixes_2_2_7 does not include some quite significant improvements that zeljko has made.  I believe you most certainly want the better code in fixes_3_0.  And that requires you to either use the newly compiled libqt5pas from https://github.com/davidbannon/libqt5pas or to build and install them yourself, source and instructions are in the fixes_3_0 source code. 

If you are building lazarus QT apps, you need both the library and the dev library, your end users will need only the Library. Right now, very few if any distros will have the up to date library in its repo. Debian, for example, will not have the new libraries anywhere in its repos until the version 3.0 of Lazarus is released.

David



Lazarus 2, Linux (and reluctantly Win10, OSX)
My Project - https://github.com/tomboy-notes/tomboy-ng and my github - https://github.com/davidbannon

 

TinyPortal © 2005-2018